package com.example.demo.model;

import lombok.*;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Collections;

@Document
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
@Builder
@Scope(scopeName = "request",proxyMode = ScopedProxyMode.TARGET_CLASS)
public class Employee {
    @Id
    private Integer id;
    private String name;
    private String role;
    private Integer sal;

}
